
import java.io.*;

// Cette classe contient les informations sur les ingredients et 
// leur prix
//
public class Magasin 
{

        // Tables contenant le nom et le prix des ingredients
        //
	public String[] NomIngredients = new String[100] ;
	public Float[] PrixIngredients = new Float [100];
	public int NbIngredients = 0 ;


	// Le constructeur charge en memoire les tables ci-dessus
	// a partir du fichier "NomFichier"
	//
	public Magasin(String NomFichier) 
	{

		BufferedReader Ingredients = null;
		String Ligne;
		int i = 0;
	
	
		// Ouvrir le fichier
		//
		try 
		{
			Ingredients = new BufferedReader(new FileReader(NomFichier));
	
			// Lecture du fichier pour en extraire les prix
			// et les noms des ingredients disponibles
			//
			while ((Ligne = Ingredients.readLine()) != null)
			{
				System.out.println("Ingredient numero " + i + " : " +  Ligne);
				if ( (NbIngredients%2) == 0) 
					NomIngredients[i] = Ligne;
				else 	{
					PrixIngredients[i] = Float.valueOf(Ligne);
					i = i+1;
					}
				NbIngredients = NbIngredients+1 ;
			}
	
			Ingredients.close();
	
		}
		catch (Exception e) 
		{
			System.err.println("Magasin exception: " + e.getMessage());
			e.printStackTrace();
		}
	
	
	}

}
